package org.tk.sqle.model;

import java.io.File;

import org.apache.log4j.Level;
import org.apache.log4j.Logger;
import org.apache.log4j.PatternLayout;
import org.apache.log4j.RollingFileAppender;
import org.tk.sqle.Application;

/** Kmmert sich um das Logging. Verwendet log4j.
 * @author Thiemo Kahn
 */
public final class Log {

	private static Logger logger = null;
	private static Log log = null;

	/** Erzeugt logger.
	 */
	private Log() {
		try {
			logger = Logger.getLogger("log");
			logger.setLevel(Level.DEBUG);
			//define layouts 
			PatternLayout debugLayout = new PatternLayout();
			//%d date (%r time), %p log level, %t thread, %X value of mdc key, %m message, %n new line
			debugLayout.setConversionPattern("%d;%t;%p;%m%n");
			//define appender 
			RollingFileAppender app;
			File dir = new File(Application.getRoot() + "/log/");
			if (!dir.exists())
				dir.mkdir();
			app = new RollingFileAppender(debugLayout, Application.getRoot() + "/log/log.txt");
			app.setMaxFileSize("1400KB");
			app.setMaxBackupIndex(0);
			//add to logger
			logger.addAppender(app);
			logger.warn("START LOGGING");
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	/** Schreibt einen Fehler mit Exception<br>
	 * @param text Meldungstext, der geschrieben werden soll.
	 * @param exp Exception, deren Nachricht geschrieben werden soll.
	 */
	public static void error(String text, Throwable exp) {
		if (logger == null || log == null)
			log = new Log();
		logger.error(text, exp);
	}

	/** Schreibt eine Information.<br>
	 * @param text Meldungstext.
	 */
	public static void info(String text) {
		if (logger == null || log == null)
			log = new Log();
		logger.info(text);
	}

	/** Schreibt eine Debug-Meldung.<br>
	 * @param exp Exception, deren Nachricht geschrieben werden soll.
	 * @param text Meldungstext
	 */
	public static void debug(String text, Throwable exp) {
		if (logger == null || log == null)
			log = new Log();
		logger.debug(text, exp);
	}

}