package org.tk.sqle.model;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;

import org.tk.sqle.Application;

/** Texte. 
 * Fhrungstexte, Beschreibungen und Nachrichten aus term.properties<br>
 * @author Thiemo Kahn
 */
public final class Term {

	private static Properties terms = null;

	/** Liefert fuer Schluessel zugehrigen sprachabhngigen Text.<br>
	 * @param id Schluessel fuer gewuenschten Text
	 * @return String sprachabhaengiger Text
	 */
	public static String getTerm(String id) {
		if (terms == null){
			try {
				FileInputStream propInFile = new FileInputStream(Application.getRoot() + "/text/term.properties");
				terms = new Properties();
				terms.load(propInFile);
			} catch (IOException e) {
				Log.error("Text.Text ", e);
			}
		}
		return terms.getProperty(id);
	}

}
