package org.tk.sqle.model;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;

import org.tk.sqle.Application;


/** Speichern und Lesen von Strings als Textdateien.<br>
 * @author Thiemo Kahn
 */
public final class Text {


	/** Liefert Inhalt (Text) der bergebenen Datei.
	 * @param file Datei
	 * @return Dateiinhalt
	 */
	public static String openStatements(File file) throws ActionException {
		String s = "";
		try {
			BufferedReader r = new BufferedReader(new FileReader(file));
			String line = null;
			while ((line = r.readLine()) != null)
				s = s + Application.lineSep + line;
			r.close();
		} catch (Exception e) {
			throw new ActionException(Term.getTerm("MSG_NICHT_GELESENE_STATEMENT_DATEI") + e.getMessage());
		}
		return s;
	}

	/** Speichert bergebene Statements in der bergebenen Datei.
	 * @param text zu speichernde Statements
	 * @param file Datei
	 * @return Meldung
	 */
	public static String saveStatements(String text, File file) throws ActionException {
		try {
			FileWriter fw = new FileWriter(file);
			fw.write(text);
			fw.flush();
			fw.close();
		} catch (IOException e) {
			throw new ActionException(Term.getTerm("MSG_NICHT_GELESENE_STATEMENT_DATEI") + e.toString());
		}
		return Term.getTerm("MSG_STATEMENTS_GESEICHERT") + file.getAbsolutePath();
	}


}
