package org.tk.sqle.model;

import org.jdom.Document;
import org.jdom.Element;
import org.jdom.JDOMException;
import org.jdom.input.SAXBuilder;

/**
 * Liest XML-Dateien und gibt das Hauptelement zur�ck. Benutzt jdom.
 * @author Thiemo Kahn
 */
final class XML {

	private Document xmlFile = null;
	private static SAXBuilder saxBuilder = null;

	/**
	 * Erzeugt eine XML-Datei. <br>
	 * Wenn er die Datei nicht sofort lesen kann, macht er nach je 1 s noch 3 weitere Versuche. <br>
	 * @param filePath absoluter Pfad zur XML-Datei, inclusive Dateiname.
	 */
	XML(String filePath) throws JDOMException {
		if (saxBuilder == null) {
			saxBuilder = new SAXBuilder();
		}
		String path = filePath;
		int end = 4;
		for (int i = 0; i < end; i++) {
			try {
				xmlFile = saxBuilder.build(path);
				break;
			} catch (JDOMException e) {
				if (i + 1 == end)
					throw e;
				try {
					Thread.sleep(1000);
				} catch (InterruptedException ie) {
					Log.debug("XML: ", ie);
				}
			}
		}
	}

	/**
	 * Gibt das Hauptelement zur�ck. Vorraussetzung ist, da� die XML-Datei ein Hauptelement hat
	 * und darin die eigentlichen Elemente sind. 
	 * @return Element Hauptelement.
	 */
	Element getRootElement() {
		return xmlFile.getRootElement();
	}

}