package org.tk.sqle.view;

import java.util.Iterator;
import java.util.List;

import javax.swing.JComboBox;

/** Auswahlfeld f�r DB-Treiber-URLs.
 * @author Thiemo Kahn
 */
class ComboBoxUrls extends JComboBox {

	private static final long serialVersionUID = -8902520528932053688L;
	private int connectedIndex = -1;
	private List urls = null;

	/** Erzeugt Auswahlfeld mit den in drivers.xml gefundenen URLs. 
	 */
	ComboBoxUrls() {
		super();
		setFont(Fonts.REG);
		setEditable(true);
	}

	/** Setzt ausgew�hlte URL. Sie wird hervorgehoben. 
	 * @param connectedUrl JDBC-URL
	 */
	void setConnectedItem(String connectedUrl) {
		connectedIndex = -1;
		if (connectedUrl != null) {
			int size = getItemCount();
			for (int i = 0; i < size; i++) {
				if (getItemAt(i).equals(connectedUrl)) {
					connectedIndex = i;
					break;
				}
			}
		}
		setSelectedItem(connectedUrl);
	}

	/** Setzt Inhalte der Auswahlbox.
	 * @param urls Liste mit JDBC-URLs
	 */
	void setItems(List urls) {
		this.urls = urls;
		connectedIndex = -1;
		if (urls != null) {
			for (Iterator iter = urls.iterator(); iter.hasNext();) {
				addItem((String) iter.next());
			}
		}
	}

}
