package org.tk.sqle.view;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;

import javax.swing.JFileChooser;

import org.tk.sqle.model.FileStringStream;
import org.tk.sqle.Application;

/** Datei-Auswahlfenster f�r Statements.<br>
 * @author Thiemo Kahn
 */
final class WindowFileChooserStatements extends JFileChooser {

	private static final long serialVersionUID = 2696785697378148208L;
	private static final String savePath = Application.getRoot() + "/log/filechooserstatements.obj";

	/** Erzeugt Dateiauswahlfenster und liest voreingestelltes Verzeichnis. 
	 */
	WindowFileChooserStatements() throws FileNotFoundException, IOException {
		super();
		String savedDir = FileStringStream.read(savePath);
		if (savedDir != null)
			setCurrentDirectory(new File(savedDir));
	}

	/** Speichert aktuelles Verzeichnis. 
	 */
	void saveCurrentDir() throws IOException {
		FileStringStream.write(getCurrentDirectory().getAbsolutePath(), savePath);
	}

}
