package org.tk.sqle.view;

import java.awt.Dimension;
import java.awt.HeadlessException;

import javax.swing.JDialog;
import javax.swing.JEditorPane;
import javax.swing.JScrollPane;

import org.tk.sqle.model.Help;
import org.tk.sqle.model.Term;

/** Hilfe-Fenster.
 * @author Thiemo Kahn
 */
final class WindowHelp extends JDialog {

	private static final long serialVersionUID = -8973750488756014877L;
	private JEditorPane help = new JEditorPane("text/rtf", "");
	static final int CON = 0;
	static final int STMT = 1;
	static final int RES = 2;

	/** Erstellt Hilfe-Fenser.
	 * @param owner Hauptfenster
	 */
	WindowHelp(WindowMain owner) throws HeadlessException {
		super(owner, Term.getTerm("TERM_HILFE"));
		getContentPane().add(new JScrollPane(help));
		setLocation(600, 50);
		setSize(new Dimension(300, 400));
		help.setBackground(Colors.HELP_COLOR);
		help.setEditable(false);
	}

	/** Hilfe f�r entsprechenen Bereich anzeigen.
	 * @param block Bereich
	 */
	void setVisible(int block) {
		if (block == CON) {
			help.setText(Help.getHelpText(Help.HELPCON));
		} else if (block == STMT) {
			help.setText(Help.getHelpText(Help.HELPSTMT));
		} else if (block == RES) {
			help.setText(Help.getHelpText(Help.HELPRESULT));
		}
		help.setCaretPosition(0);
		setVisible(true);
	}

}
