package org.tk.sqle.view;

import java.awt.HeadlessException;
import java.awt.event.KeyEvent;
import java.util.Vector;

import javax.swing.JComponent;
import javax.swing.JDialog;
import javax.swing.JList;
import javax.swing.KeyStroke;
import javax.swing.ListSelectionModel;

import org.tk.sqle.model.ActionException;
import org.tk.sqle.model.Text;

/**
 * Fenster mit SQL-Schleusselwoertern.
 * 
 * @author Thiemo Kahn
 */
final class WindowSQL extends JDialog {

	private static final long serialVersionUID = 1654514714197754252L;
	JList lWords = new JList();
	Text actions = null;

	/**
	 * Erzeugt Fenster mit SQL-Schleusselwoertern.
	 * 
	 * @param owner
	 *            Elternfenster
	 */
	WindowSQL(WindowMain owner) throws HeadlessException, ActionException {
		super(owner);
		lWords.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
		lWords.setBackground(Colors.KEYWORD_COLOR);
		lWords.setFont(Fonts.REG);
		getContentPane().add(lWords);
		setUndecorated(true);
		lWords.addKeyListener(ApplicationView.selectSql);
		lWords.registerKeyboardAction(ApplicationView.closeSql, "sqlclose", KeyStroke.getKeyStroke(
				KeyEvent.VK_SPACE, 2), JComponent.WHEN_FOCUSED);
		lWords.addListSelectionListener(ApplicationView.showDescription);
		actions = new Text();
	}

	/**
	 * Setzt Werte in SQL-Schluesselwert-Liste, positioniert auf ersten Eintrag
	 * und laesst Liste erscheinen.
	 * 
	 * @param listData
	 *            Werte fuer SQL-Schluesselwert-Liste
	 */
	void setListData(Vector listData) {
		lWords.setListData(listData);
		setSize(lWords.getMaximumSize());
		lWords.setSelectedIndex(0);
	}

}
