package org.tk.sqle.view;

import java.awt.HeadlessException;
import java.awt.event.KeyEvent;

import javax.swing.JComponent;
import javax.swing.JDialog;
import javax.swing.JTextArea;
import javax.swing.KeyStroke;

import org.tk.sqle.model.ActionException;

/**
 * Fenster mit Detailbeschreibung eines SQL Befehls.
 * 
 * @author Thiemo Kahn
 */
final class WindowSQLDesc extends JDialog {

	private static final long serialVersionUID = 7007201117841353364L;
	private JTextArea pDesc = new JTextArea();
	
	/**
	 * Erzeugt Fenster mit Detailbeschreibung eines SQL Befehls.
	 * 
	 * @param owner
	 *            Elternfenster
	 */
	WindowSQLDesc(WindowSQL owner) throws HeadlessException, ActionException {
		super(owner);
		pDesc.setBackground(Colors.DESC_COLOR);
		pDesc.setFont(Fonts.REG);
		getContentPane().add(pDesc);
		setUndecorated(true);
		pDesc.setEditable(false);
		pDesc.setWrapStyleWord(true);
		pDesc.registerKeyboardAction(ApplicationView.closeSql, "sqlclose", KeyStroke.getKeyStroke(
				KeyEvent.VK_SPACE, 2), JComponent.WHEN_FOCUSED);
		pDesc.addFocusListener(ApplicationView.sqlLostFocus);
		
	}

	/**
	 * Setzt Text und zeigt ihn als Detailbeschreibung.
	 * 
	 * @param text
	 *            Text
	 */
	void setText(String text) {
		pDesc.setText(text);
		pack();
	}

}
